curl "https://api.northaxiumdata.ca/api/v1/committees?q=industry&limit=10&offset=10" \
-H "X-API-Key: <your-api-key>"
import requests
url = "https://api.northaxiumdata.ca/api/v1/committees"
headers = {"X-API-Key": "<your-api-key>"}
params = {
"q": "industry",
"limit": 10,
"offset": 10
}
response = requests.get(url, headers=headers, params=params)
print(response.json())
const fetch = require('node-fetch');
const url = new URL('https://api.northaxiumdata.ca/api/v1/committees');
url.search = new URLSearchParams({
q: 'industry',
limit: '10',
offset: '10'
});
fetch(url, {
headers: {
'X-API-Key': '<your-api-key>'
}
})
.then(res => res.json())
.then(json => console.log(json));
{
"data": [
{
"id": 12,
"name_en": "Standing Committee on Industry and Technology",
"acronym": "INDU",
"slug": "industry-and-technology"
}
],
"meta": {
"total": 1,
"limit": 10,
"offset": 10
}
}
{
"error": {
"code": "BAD_REQUEST",
"message": "page must be at least 1."
}
}
{
"error": {
"code": "UNAUTHORIZED",
"message": "Missing API key. Pass your key in the X-API-Key header."
}
}
{
"error": {
"code": "NOT_FOUND",
"message": "The requested resource was not found."
}
}
{
"error": {
"code": "RATE_LIMITED",
"message": "Monthly request limit exceeded."
}
}
Committees
Committees
Retrieve a list of House and Senate committees.
GET
/
api
/
v1
/
committees
curl "https://api.northaxiumdata.ca/api/v1/committees?q=industry&limit=10&offset=10" \
-H "X-API-Key: <your-api-key>"
import requests
url = "https://api.northaxiumdata.ca/api/v1/committees"
headers = {"X-API-Key": "<your-api-key>"}
params = {
"q": "industry",
"limit": 10,
"offset": 10
}
response = requests.get(url, headers=headers, params=params)
print(response.json())
const fetch = require('node-fetch');
const url = new URL('https://api.northaxiumdata.ca/api/v1/committees');
url.search = new URLSearchParams({
q: 'industry',
limit: '10',
offset: '10'
});
fetch(url, {
headers: {
'X-API-Key': '<your-api-key>'
}
})
.then(res => res.json())
.then(json => console.log(json));
{
"data": [
{
"id": 12,
"name_en": "Standing Committee on Industry and Technology",
"acronym": "INDU",
"slug": "industry-and-technology"
}
],
"meta": {
"total": 1,
"limit": 10,
"offset": 10
}
}
{
"error": {
"code": "BAD_REQUEST",
"message": "page must be at least 1."
}
}
{
"error": {
"code": "UNAUTHORIZED",
"message": "Missing API key. Pass your key in the X-API-Key header."
}
}
{
"error": {
"code": "NOT_FOUND",
"message": "The requested resource was not found."
}
}
{
"error": {
"code": "RATE_LIMITED",
"message": "Monthly request limit exceeded."
}
}
Get a standardized list of standing, special, and legislative committees, including their current membership and mandate.
Query Parameters
string
Partial match on committee name. Example:
carbon tax.integer
Results per page. Default:
50. Max: 200. Example: 25.integer
Result offset for pagination. Default:
0. Example: 50.page and per_page are accepted as input aliases. per_page maps to limit, and page is converted internally into the corresponding offset.curl "https://api.northaxiumdata.ca/api/v1/committees?q=industry&limit=10&offset=10" \
-H "X-API-Key: <your-api-key>"
import requests
url = "https://api.northaxiumdata.ca/api/v1/committees"
headers = {"X-API-Key": "<your-api-key>"}
params = {
"q": "industry",
"limit": 10,
"offset": 10
}
response = requests.get(url, headers=headers, params=params)
print(response.json())
const fetch = require('node-fetch');
const url = new URL('https://api.northaxiumdata.ca/api/v1/committees');
url.search = new URLSearchParams({
q: 'industry',
limit: '10',
offset: '10'
});
fetch(url, {
headers: {
'X-API-Key': '<your-api-key>'
}
})
.then(res => res.json())
.then(json => console.log(json));
{
"data": [
{
"id": 12,
"name_en": "Standing Committee on Industry and Technology",
"acronym": "INDU",
"slug": "industry-and-technology"
}
],
"meta": {
"total": 1,
"limit": 10,
"offset": 10
}
}
{
"error": {
"code": "BAD_REQUEST",
"message": "page must be at least 1."
}
}
{
"error": {
"code": "UNAUTHORIZED",
"message": "Missing API key. Pass your key in the X-API-Key header."
}
}
{
"error": {
"code": "NOT_FOUND",
"message": "The requested resource was not found."
}
}
{
"error": {
"code": "RATE_LIMITED",
"message": "Monthly request limit exceeded."
}
}
⌘I